2018-10-20 05:08 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0005455Talerexchangepublic2018-10-13 19:49
ReporterChristian Grothoff 
Assigned ToChristian Grothoff 
PriorityurgentSeveritycrashReproducibilityalways
StatusresolvedResolutionfixed 
Platformi7OSDebian GNU/LinuxOS Versionsqueeze
Product VersionSVN HEAD 
Target Version0.6Fixed in Version0.6 
Summary0005455: test-exchange-api-new fails with Trait coin-private-key/4 not found.
DescriptionI get the above failure running the current testcase. It would seem to indicate a logic issue in the test, with a coin being referenced that doesn't exist.
Steps To ReproduceRun 'make check' in exchange-lib directory.
Additional InformationOct 06 15:12:14-838761 taler-exchange-httpd-110965 INFO Inserting deposit to be executed at Sat Oct 06 15:12:14 2018 (1538831534000000/0)
Oct 06 15:12:14-848724 test-exchange-api-new-110941 ERROR Trait coin-private-key/4 not found.
Oct 06 15:12:14-848739 test-exchange-api-new-110941 ERROR Assertion failed at testing_api_cmd_deposit.c:256. Aborting.
FAIL test_exchange_api_new (exit status: 134)
TagsNo tags attached.
Attached Files

-Relationships Relation Graph ] Dependency Graph ]
+Relationships

-Notes

~0013268

Christian Grothoff (manager)

I've investigated this, and the (current) refresh reveal logic only generates coins 0--3, so the test was simply wrong to ask for coin #4. Fixed in Git.
+Notes

-Issue History
Date Modified Username Field Change
2018-10-06 15:14 Christian Grothoff New Issue
2018-10-06 15:14 Christian Grothoff Status new => assigned
2018-10-06 15:14 Christian Grothoff Assigned To => Marcello Stanisci
2018-10-13 19:49 Christian Grothoff Note Added: 0013268
2018-10-13 19:49 Christian Grothoff Assigned To Marcello Stanisci => Christian Grothoff
2018-10-13 19:49 Christian Grothoff Status assigned => resolved
2018-10-13 19:49 Christian Grothoff Resolution open => fixed
2018-10-13 19:49 Christian Grothoff Fixed in Version => 0.6
+Issue History